import java.util.*;
import java.sql.*;

public class AutoReport {
	private HashMap<Float, Float> throughputdata; 
	private float recordSize;
	private String RegressionName;
	
	public AutoReport(float rSize, String name){
		
		recordSize = rSize;
		RegressionName = name;
		throughputdata = new HashMap<Float, Float>();
	}
	
	public String getRegressionName(){
		return RegressionName;
	}
	
	public void enterRegressionData(ResultSet rs) {
		try{
		while(rs!=null && rs.next()){
	        float fileSize= rs.getFloat("file_size");
	        float value = rs.getFloat("value");
	        throughputdata.put(new Float(fileSize), new Float(value));
	       System.out.println("fs->" + fileSize + " value->" + value);
	      }
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public HashMap<Float, Float> getThroughputData(){
		return throughputdata;
	}
	
	public float getRecordSize(){
		return recordSize;
	}
	
	public Float getThroughput(float fSize){
		
		Float val;
		val = throughputdata.get(fSize);
		return val;
		
	}
}

