#!/bin/bash
# File : p-reg.sh
# Description: 
# This file is the p-reg master script for the pNFS regression suite 
# and performance debugging tool chain. Depending on the user input it 
# runs different stages of the test. 
# The different stages of the test are: 
# 1. Stage 0 - Diagnostic test phase.
# 2. Stage 1 - Performance regression runs.
# Author: Zainul Abedin (zja) & Swaroop Choudhari (svchoudh)
# Inputs: \
# Detailed Description: 


if [ $RUN_STAGE_ZERO -ne 0 ]; then 
    stage0.sh
else
    echo "Not runing STAGE 0"
fi

if [ $RUN_STAGE_ONE -ne 0 ]; then 
    stage1.sh
else
    echo "Not running Stage 1"
fi
